<template>
    <div class="dashboard-header">
      <h1>Dashboard</h1>
     
      <div class="user-profile">
        <input type="text" placeholder="Search for anything..." class="search-input" />
       
        <div class="user-container" >
          <img :src="userImage" alt="User profile" class="profile-image" />
          <div class="user-info">
            <p>{{ userName }}</p>
            <small>{{ userRole }}</small>
          </div>
          <div class="dropdown-icon">▼</div>
        </div>
        
      </div>
    </div>
  </template>
  
  <script>
  export default {
    name: 'DashboardHeader',
    data() {
      return {
        userImage: require('@/assets/profile-image.png'), 
        userName: 'Alex meian',
        userRole: 'Product manager',
      };
    }
  }
  </script>
  
  <style scoped>
  .dashboard-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1rem 2rem;
    border-bottom:1px solid #c3b8b8;
  }

  h1 {
    font-size: 32px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    letter-spacing: 0.16px;
  }
  
  .search-input {
    padding: 13px;
    border-radius: 25px;
    width: 313px;
    height: 22px;
    border: none;
    outline: none;
    margin-right: 30px;
    padding-left: 50px;
    box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.1);
  }
  .user-container{
    background-color: white; border-radius: 25px;
    display: flex;
    align-items: center;
    width: 195px;
  }
  .user-profile {
    display: flex;
    align-items: center;
  }
  
  .profile-image {
    width: 40px;
    height: 40px;
    border-radius: 25px;
    margin-right: 5px;
    margin-top:6px
  }

  
  .user-info {
    display: flex;
   
    flex-direction: column;
    align-items: flex-start;
  }
  .user-info p{    margin: 0;}
  .user-info small{   color: rgba(41, 45, 50, 0.44);

}
  
  .dropdown-icon {
    margin-left: 0.5rem;
  }
  </style>
  